
QGIS Application - Bug report #12777

Processing: Grass 7 r.relief has different "units" parameter than Grass 6 version r.shaded.relief

2015-05-19 09:09 AM - Markus Mayr

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20876

Description

The algorithm r.relief can not be executed since the parameters for "units" have changed from "none, meters, feet" to "intl, survey". The

algorithm no longer accepts "none" as a valid input and stops working.

Unless this parameter can be made optional, it should be removed. Can it even be made optional?

History

#1 - 2015-05-22 12:01 PM - Giovanni Manghi

- Category set to Processing/GRASS

- Affected QGIS version changed from 2.8.2 to master

fixed with

https://github.com/qgis/QGIS/pull/2067

#2 - 2015-05-22 12:12 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#3 - 2015-05-22 12:12 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi

#4 - 2015-05-22 03:50 PM - Markus Mayr

(I mistakenly commented on GitHub - I moved the comment here)

As I understood the description ("With an elevation map measured in feet, the units option can be set to automatically convert meters to international feet

(0.3048 meters = 1 foot) or survey feet (1200 / 3937 meters = 1 foot)."), it is now impossible to use a height map containing values in meter since one of the

two parameters ("intl" or "survey") is always used?

Speaking from a cartographic point of view, the resulting picture looks fine, but from a geodetic view, the result is wrong.

(I'm referring to the "fix" in post #1).

#5 - 2015-05-24 02:42 AM - Giovanni Manghi

Markus Mayr wrote:
https://github.com/qgis/QGIS/pull/2067


(I mistakenly commented on GitHub - I moved the comment here)

As I understood the description ("With an elevation map measured in feet, the units option can be set to automatically convert meters to

international feet (0.3048 meters = 1 foot) or survey feet (1200 / 3937 meters = 1 foot)."), it is now impossible to use a height map containing values

in meter since one of the two parameters ("intl" or "survey") is always used?

Speaking from a cartographic point of view, the resulting picture looks fine, but from a geodetic view, the result is wrong.

(I'm referring to the "fix" in post #1).

better fix here

https://github.com/qgis/QGIS/pull/2072

the module needs to be split as Processing does not support optional parameters at the moment.

#6 - 2015-05-25 01:25 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/2072

